apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: cwrc-writer
  labels:
    app: cwrc-writer
  annotations:
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
spec:
  rules:
  - host: {{ template "hostname" .Values.service.url }}
    http:
      paths:
      - path: /
        pathType: ImplementationSpecific
        backend:
          service:
            name: gitwriter
            port:
              number: 80
      - path: /github
        pathType: ImplementationSpecific
        backend:
          service:
            name: gitserver
            port:
              number: 80
      - path: /schema
        pathType: ImplementationSpecific
        backend:
          service:
            name: gitserver
            port:
              number: 80
  tls:
  - hosts:
    - {{ template "hostname" .Values.service.url }}
    secretName: cwrc-writer-cert
